## ที่มา

จากการสังเกตและได้ยินเสียงเพื่อน หรือแม้แต่ตัวเราเองที่บ่นว่าปวดหลัง ปวดคอ ปวดตา และด้วยสาขาวิชาที่เราไม่อาจหลีกเลี่ยงการทำงานหน้าจอคอมพิวเตอร์ได้ ทำให้คิดค้นโปรเจคนี้ขึ้นมา เพื่อหลีกเลี่ยงอาการ office syndrome ที่ทำให้เกิดความผิดปกติของระบบในร่างกาย ซึ่งพบเจอกันโดยทั่วไปในสังคม

## รายการอุปกรณ์ที่ใช้

- board ESP32 S3 dev module 2 บอร์ด
- ultrasonic sensor 2 ตัว
- buzzer module 1 ตัว
- ไฟ LED สีเขียวและสีแดง สีละ 1 ตัว

## หลักการทำงาน

- **จับที่นั่ง**: ESP32 ตัวแรกทำการวัดเซนเซอร์ ว่ามีผู้ใช้นั่งอยู่หรือไม่ โดยกำหนดค่าเริ่มต้นไว้ที่ 50 cm ถ้าน้อยกว่า 50 cm แสดงว่ามีคนนั่งอยู่ ถ้ามากกว่า 50 cm แสดงว่าไม่มีคนนั่งอยู่
- **จับเวลา**: จะเริ่มจับเวลาตั้งแต่ผู้ใช้เริ่มนั่งเก้าอี้ เมื่อครบ 45 นาที จะมีเสียงแจ้งเตือนให้ผู้ใช้ลุกยืดเส้นยืดสายเป็นเวลา 5 นาที หากผู้ใช้กลับมานั่งก่อนเวลาที่กำหนด ก็จะมีเสียงแจ้งเตือนเพื่อให้ลุกออกไป 
- **วัดระยะกับหน้าจอ**: ESP32 ตัวที่สอง จะทำการวัดเซนเซอร์ระหว่างหน้าจอคอมพิวเตอร์กับหน้าของผู้ใช้ ถ้าระยะที่วัดได้มีค่าน้อยกว่า 30 cm ไฟจะขึ้นเป็นสีแดง ถ้าระยะที่วัด มีค่ามากกว่า 30 cm ไฟจะขึ้นเป็นสีเขียว
- **เงื่อนไขการทำงาน**: เมื่อเซนเซอร์จับที่นั่งได้ว่ามีผู้ใช้นั่งอยู่จะส่งไปยังเซนเซอร์จับระยะให้เริ่มทำงานพร้อมกับจับเวลาขณะมีผู้ใช้นั่งอยู่ด้วย

## วิธีการติดตั้ง
- lightultrasonicsensor.pdf = ไฟล์จำลองวงจร easyeda
- license.txt = ไฟล์สิทธิบัตร

**structure**
- hcsr04.py = ไฟล์ไลบรารีของ ultrasonic sensor
- config.py = ไฟล์สำหรับการตั้งค่า wifi และ MQTT
- sensor seat.py = ไฟล์ตั้งค่าเซนเซอร์จับที่นั่งและจับเวลา
- sensor distance.py = ไฟล์ตั้งค่าเซนเซอร์วัดระยะกับหน้าจอ

## จัดทำโดย
กลุ่ม **คนสวย** ชื่อโปรคเจค **ISEEU**

นางสาว ธนัญญา ทิพย์พรหม 6610502048
นางสาว เปรมมิกา เนียมเปรม 6610505489
นางสาว วริษฐา ภิรมย์เกียรติ์ 6610505551
นางสาว วิมพ์วิภา เสงี่ยมวงศ์ 6610505578
โครงการนี้เป็นส่วนหนึ่งของวิชา 01204114 Introduction to Hardware Development ภาคเรียนที่ 2/2023
ภาควิชาวิศวกรรมคอมพิวเตอร์ คณะวิศวกรรมศาสตร์ มหาวิทยาลัยเกษตรศาสตร์